| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GenericAddress Class Reference

`#include <GaudiKernel/GenericAddress.h>`

Inheritance diagram for GenericAddress:

[legend]
Collaboration diagram for GenericAddress:

[legend]
List of all members.

## Detailed Description

Generic Transient Address.

The generic transient address describes the recipe to load/save a persistent object from/to its transient representation.

Author:
  Markus Frank

Version:
  1.0

Definition at line 21 of file GenericAddress.h.

## Public Member Functions
| GenericAddress ()
| Dummy constructor.
| GenericAddress (const GenericAddress &copy)
| Standard Constructor.
| GenericAddress (long svc, const CLID &clid, const std::string &p1="", const std::string &p2="", unsigned long ip1=0, unsigned long ip2=0)
| Standard Constructor.
virtual | ~GenericAddress ()
| Standard Destructor.
virtual unsigned long | addRef ()
| Add reference to object.
virtual unsigned long | release ()
| release reference to object
virtual IRegistry * | registry () const
| Pointer to directory.
virtual void | setRegistry (IRegistry *pRegistry)
| Set pointer to directory.
const CLID & | clID () const
| Access : Retrieve class ID of the link.
void | setClID (const CLID &clid)
| Access : Set class ID of the link.
long | svcType () const
| Access : retrieve the storage type of the class id.
void | setSvcType (long typ)
| Access : set the storage type of the class id.
virtual const std::string * | par () const
| Retrieve string parameters.
virtual const unsigned long * | ipar () const
| Retrieve integer parameters.
## Protected Attributes
unsigned long | m_refCount
| Reference count.
long | m_svcType
| Storage type.
CLID | m_clID
| Class id.
std::string | m_par [3]
| String parameters to be accessed.
unsigned long | m_ipar [2]
| Integer parameters to be accessed.
IRegistry * | m_pRegistry
| Pointer to corresponding directory.

## Constructor & Destructor Documentation

GenericAddress::GenericAddress | ( |  | ) | `[inline]`

Dummy constructor.

Definition at line 38 of file GenericAddress.h.

References m_ipar.

    00039     : m_refCount(0),
    00040       m_svcType(0),
    00041       m_clID(0),
    00042       m_pRegistry(0)
    00043   {
    00044     m_ipar[0]=m_ipar[1]=0xFFFFFFFF;
    00045   }

GenericAddress::GenericAddress | ( | const GenericAddress & | copy | ) | `[inline]`

Standard Constructor.

Definition at line 47 of file GenericAddress.h.

References m_ipar, and m_par.

    00048     : IOpaqueAddress(copy),
    00049       m_refCount(0),
    00050       m_svcType(copy.m_svcType),
    00051       m_clID(copy.m_clID),
    00052       m_pRegistry(copy.m_pRegistry)
    00053   {
    00054     m_par[0]  = copy.m_par[0];
    00055     m_par[1]  = copy.m_par[1];
    00056     m_ipar[0] = copy.m_ipar[0];
    00057     m_ipar[1] = copy.m_ipar[1];
    00058   }

GenericAddress::GenericAddress | ( | long | svc,
|  | const CLID & | clid,
|  | const std::string & | p1 = `""`,
|  | const std::string & | p2 = `""`,
|  | unsigned long | ip1 = `0`,
|  | unsigned long | ip2 = `0` |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 60 of file GenericAddress.h.

References m_ipar, and m_par.

    00066     : m_refCount(0),
    00067       m_svcType(svc),
    00068       m_clID(clid),
    00069       m_pRegistry(0)
    00070   {
    00071     m_par[0]  = p1;
    00072     m_par[1]  = p2;
    00073     m_ipar[0] = ip1;
    00074     m_ipar[1] = ip2;
    00075   }

virtual GenericAddress::~GenericAddress | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 78 of file GenericAddress.h.

    00078                               {
    00079   }

## Member Function Documentation

virtual unsigned long GenericAddress::addRef | ( |  | ) | `[inline, virtual]`

Add reference to object.

Implements IOpaqueAddress.

Definition at line 82 of file GenericAddress.h.

References m_refCount.

Referenced by EventCollectionContext::EventCollectionContext().

    00082                                       {
    00083     return ++m_refCount;
    00084   }

virtual unsigned long GenericAddress::release | ( |  | ) | `[inline, virtual]`

release reference to object

Implements IOpaqueAddress.

Definition at line 86 of file GenericAddress.h.

References m_refCount.

Referenced by NTupleSvc::attachTuple(), HistogramSvc::connectInput(), and EventCollectionContext::~EventCollectionContext().

    00086                                       {
    00087     int cnt = --m_refCount;
    00088     if ( 0 == cnt )   {
    00089       delete this;
    00090     }
    00091     return cnt;
    00092   }

virtual IRegistry* GenericAddress::registry | ( |  | ) | const`[inline, virtual]`

Pointer to directory.

Implements IOpaqueAddress.

Definition at line 94 of file GenericAddress.h.

References m_pRegistry.

    00094                                             {
    00095     return m_pRegistry;
    00096   }

virtual void GenericAddress::setRegistry | ( | IRegistry * | pRegistry | ) | `[inline, virtual]`

Set pointer to directory.

Implements IOpaqueAddress.

Definition at line 98 of file GenericAddress.h.

References m_pRegistry.

    00098                                                    {
    00099     m_pRegistry = pRegistry;
    00100   }

const CLID& GenericAddress::clID | ( |  | ) | const`[inline, virtual]`

Access : Retrieve class ID of the link.

Implements IOpaqueAddress.

Definition at line 102 of file GenericAddress.h.

References m_clID.

    00102                               {
    00103     return m_clID;
    00104   }

void GenericAddress::setClID | ( | const CLID & | clid | ) | `[inline]`

Access : Set class ID of the link.

Definition at line 106 of file GenericAddress.h.

References m_clID.

Referenced by load(), and TagCollectionStream::writeObjects().

    00106                                    {
    00107     m_clID = clid;
    00108   }

long GenericAddress::svcType | ( |  | ) | const`[inline, virtual]`

Access : retrieve the storage type of the class id.

Implements IOpaqueAddress.

Definition at line 110 of file GenericAddress.h.

References m_svcType.

    00110                            {
    00111     return m_svcType;
    00112   }

void GenericAddress::setSvcType | ( | long | typ | ) | `[inline]`

Access : set the storage type of the class id.

Definition at line 114 of file GenericAddress.h.

References m_svcType.

Referenced by load(), and TagCollectionStream::writeObjects().

    00114                                {
    00115     m_svcType = typ;
    00116   }

virtual const std::string* GenericAddress::par | ( |  | ) | const`[inline, virtual]`

Retrieve string parameters.

Implements IOpaqueAddress.

Definition at line 118 of file GenericAddress.h.

References m_par.

Referenced by load(), and TagCollectionStream::writeObjects().

    00118                                          {
    00119     return m_par;
    00120   }

virtual const unsigned long* GenericAddress::ipar | ( |  | ) | const`[inline, virtual]`

Retrieve integer parameters.

Implements IOpaqueAddress.

Definition at line 122 of file GenericAddress.h.

References m_ipar.

Referenced by load(), and TagCollectionStream::writeObjects().

    00122                                               {
    00123     return m_ipar;
    00124   }

## Member Data Documentation

unsigned long GenericAddress::m_refCount`[protected]`

Reference count.

Definition at line 24 of file GenericAddress.h.

Referenced by addRef(), and release().

long GenericAddress::m_svcType`[protected]`

Storage type.

Definition at line 26 of file GenericAddress.h.

Referenced by setSvcType(), and svcType().

CLID GenericAddress::m_clID`[protected]`

Class id.

Definition at line 28 of file GenericAddress.h.

Referenced by clID(), and setClID().

std::string GenericAddress::m_par[3]`[protected]`

String parameters to be accessed.

Definition at line 30 of file GenericAddress.h.

Referenced by GenericAddress(), and par().

unsigned long GenericAddress::m_ipar[2]`[protected]`

Integer parameters to be accessed.

Definition at line 32 of file GenericAddress.h.

Referenced by GenericAddress(), and ipar().

IRegistry* GenericAddress::m_pRegistry`[protected]`

Pointer to corresponding directory.

Definition at line 34 of file GenericAddress.h.

Referenced by registry(), and setRegistry().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/GenericAddress.h